package handmadevehicle2.network;

import handmadevehicle2.mod_HandmadeVehicle2;
import net.minecraftforge.fml.common.network.NetworkRegistry;
import net.minecraftforge.fml.common.network.simpleimpl.SimpleNetworkWrapper;
import net.minecraftforge.fml.relauncher.Side;

public class HMVPacketHandler2 {
 
    //このMOD用のSimpleNetworkWrapperを生成。チャンネルの文字列は固有であれば何でも良い。MODIDの利用を推奨。
    public static final SimpleNetworkWrapper INSTANCE = NetworkRegistry.INSTANCE.newSimpleChannel(mod_HandmadeVehicle2.MOD_ID);
    public static final SimpleNetworkWrapper INSTANCE2 = NetworkRegistry.INSTANCE.newSimpleChannel(mod_HandmadeVehicle2.MOD_ID + "client");
 
 
    public static void init() {
        INSTANCE.registerMessage(HMVMessageKeyPressedHandler2.class, HMVMessageKeyPressed2.class, 0, Side.SERVER);
        INSTANCE2.registerMessage(HMVMessageKeyPressedHandler2_Client.class, HMVMessageKeyPressed2_Client.class, 1, Side.CLIENT);
    }
}
